Results 1 to 7 of 7
Like Tree3Likes
  • 1 Post By frantid
  • 1 Post By frantid
  • 1 Post By Grabber5.0
  1.    #1  
    I updated the root cert bundle for 1.4.5 devices They won't help any 2.x or higher device.


    in the zip are 2 files.

    Code:
    ca-certificates.crt
    system-bundle.crt.gz
    place those 2 files on your Pre in this folder

    Code:
    "/etc/ssl/certs/"
    first backup the 2 existing files that are there.

    I got the originals off the emulator. Removed the expired certs. Then added certs via:

    Certificate Authority Certificates

    which gets it's certs from mozilla
    https://hg.mozilla.org/releases/mozi...s/certdata.txt

    making sure not to add duplicates.
    Attached Files Attached Files
    Last edited by frantid; 10/21/2015 at 06:16 PM.
    French Pre3, UK Pre2, US Veer, German gsm Pre, 680, garmin ique 3600 & still have my working palm pilot 1000 with the 1 Mb adapter

    Please remove UberCalendar and google sync behavior patches prior to system updates.
    patch Google calendar sync behavior for 2.x.x and TouchPad (Oauth2 and advanced sync requirements enabled)
    Preference guide for MetaView's UberCalendar patch
    Preemptive likes this.
  2.    #2  
    I am working on getting something done for the newer devices.
    French Pre3, UK Pre2, US Veer, German gsm Pre, 680, garmin ique 3600 & still have my working palm pilot 1000 with the 1 Mb adapter

    Please remove UberCalendar and google sync behavior patches prior to system updates.
    patch Google calendar sync behavior for 2.x.x and TouchPad (Oauth2 and advanced sync requirements enabled)
    Preference guide for MetaView's UberCalendar patch
    Preemptive likes this.
  3. #3  
    What does this enable?

    Sent from my Passport using Tapatalk
    Follow me on Twitter
    For the latest webOS news check out pivotCE
  4.    #4  
    Mostly it is just maintenance. It should mean you get less prompts for trusting new certs as you will have the updated roots. It should help anyone who has had email issues because of an expired cert. But not the SHA256 problems. That requires the new roots plus a new openssl.
  5. #5  
    That's the openssl updater yes? That works for webos 1.4.5?

    Sent from my Passport using Tapatalk
    Follow me on Twitter
    For the latest webOS news check out pivotCE
  6.    #6  
    I am not sure. It is marked for 1.4.5 but I don't know if it works.
  7. #7  
    He responded in that thread that it is not ready for 1.4.5 yet
    Alan Morford likes this.

Similar Threads

  1. WIFI accepting certs?
    By seerengie in forum Palm Pre and Pre Plus
    Replies: 1
    Last Post: 10/19/2011, 06:41 PM
  2. Self Signed SSL certs format and type ??
    By t3kh34d in forum Palm Pre 2
    Replies: 1
    Last Post: 04/07/2011, 06:54 PM
  3. VersaMail - any way to add new SSL certs?
    By bradenmcg in forum Palm OS Devices & Apps
    Replies: 0
    Last Post: 06/12/2006, 04:34 PM
  4. VersaMail 3 on Treo 650 - SSL with self-signed certs
    By strandedwest in forum Palm OS Devices & Apps
    Replies: 7
    Last Post: 02/17/2005, 12:23 PM
  5. Regarding Certs?
    By dyun1dyun1 in forum Palm OS Devices & Apps
    Replies: 1
    Last Post: 09/30/2004, 11:08 AM

Posting Permissions